Name: libsmbios
Version: 0.13.10
Release: alt0.M40.1
Summary: Open BIOS parsing libs
License: GPL/OSL Dual License
Group: System/Libraries
URL: http://linux.dell.com/libsmbios/main

Source: http://linux.dell.com/libsmbios/download/%name/%name-%version/%name-%version.tar.gz

# Automatically added by buildreq on Tue Mar 06 2007
BuildRequires: cppunit-devel doxygen gcc-c++ libxml2-devel

%description
Libsmbios is a library and utilities that can be used by client programs 
to get information from standard BIOS tables, such as the SMBIOS table.

%package tools
Summary: The "supported" sample binaries that use libsmbios
Group: System/Configuration/Hardware
Requires: %name = %version-%release

%description tools
This package contains some sample binaries that use libsmbios.

%package tools-unsupported
Summary: Unsupported sample binaries using libsmbios
Group: System/Configuration/Hardware
Requires: %name = %version-%release

%description tools-unsupported
This package contains some sample binaries that use libsmbios.

%package devel
Summary: Development headers and archives
Group: Development/C++
Requires: %name = %version-%release

%description devel
This package contains the headers and .a files necessary to compile new 
client programs against libsmbios

%prep
%setup -q

%build
#__autoreconf
%configure \
    --disable-static
%make_build

%install
%make DESTDIR=%buildroot install

%__mkdir_p %buildroot%_includedir
%__cp -a include/smbios %buildroot%_includedir

%post
%post_ldconfig

%postun
%postun_ldconfig

%files
%doc COPYING-GPL COPYING-OSL
%_libdir/*.so.*

%files devel
%doc doc/full/html/*
%_includedir/smbios
%_libdir/*.so

%files tools
%_bindir/assetTag
%_bindir/dellBiosUpdate
%_bindir/dellWirelessCtl
%_bindir/getSystemId
%_bindir/propertyTag
%_bindir/serviceTag
%_bindir/tokenCtl
%_bindir/verifySmiPassword
%_bindir/wakeupCtl
%_bindir/dellLcdBrightness

%files tools-unsupported
%doc bin-unsupported/getopts_LICENSE.txt
%_bindir/dellLEDCtl
%_bindir/activateCmosToken
%_bindir/ascii2enUS_scancode
%_bindir/createUnitTestFiles
%_bindir/disable_console_redir
%_bindir/dumpCmos
%_bindir/getPasswordFormat
%_bindir/isCmosTokenActive
%_bindir/probes
%_bindir/smitest
%_bindir/stateByteCtl
%_bindir/upBootCtl
%_bindir/dumpSmbios

%changelog
* Thu Nov 22 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.13.10-alt0.M40.1
- build for branch 4.0

* Wed Oct 10 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.13.10-alt1
- 0.13.10

* Sat Mar 24 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.13.4-alt1
- 0.13.4

* Tue Mar 06 2007 Valery Inozemtsev <shrek@altlinux.ru> 0.13.2-alt1
- initial build
 
